## golang-github-dghubble-sling 1.3.0

=== Makefile ===
.PHONY: all
all: test vet lint fmt

.PHONY: test
test:
	@go test . -cover

.PHONY: vet
vet:
	@go vet -all .

.PHONY: lint
lint:
	@golint -set_exit_status ./...

.PHONY: fmt
fmt:
	@test -z $$(go fmt ./...)

## golang-github-dghubble-sling 1.0

=== debian/changelog ===
golang-github-dghubble-sling (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #830525).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Jul 2016 12:33:01 +1000

=== debian/control ===
Source: golang-github-dghubble-sling
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-google-go-querystring-dev,
               golang-golang-x-oauth2-dev
Standards-Version: 3.9.8
Homepage: https://github.com/dghubble/sling
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-dghubble-sling.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-dghubble-sling.git
XS-Go-Import-Path: github.com/dghubble/sling

Package: golang-github-dghubble-sling-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-google-go-querystring-dev,
         golang-golang-x-oauth2-dev
Description: HTTP client library for creating and sending API requests
 Sling is a Go HTTP client library for creating and sending API requests.

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/dghubble/sling/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-dghubble-sling 1.1.0

=== debian/changelog ===
golang-github-dghubble-sling (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends on golang-any instead of golang-go
    and remove unnecessary Depends on golang-go from -dev package
  * Use debhelper (>= 10)
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright
  * Add "Testsuite: autopkgtest-pkg-go" to debian/control
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Thu, 03 Aug 2017 10:36:12 -0600

=== debian/control ===
Source: golang-github-dghubble-sling
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-google-go-querystring-dev,
               golang-golang-x-oauth2-dev
Standards-Version: 4.0.0
Homepage: https://github.com/dghubble/sling
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-dghubble-sling.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-dghubble-sling.git
XS-Go-Import-Path: github.com/dghubble/sling
Testsuite: autopkgtest-pkg-go

Package: golang-github-dghubble-sling-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-google-go-querystring-dev,
         golang-golang-x-oauth2-dev
Description: HTTP client library for creating and sending API requests
 Sling is a Go HTTP client library for creating and sending API requests.

## golang-github-dghubble-sling 1.2.0

=== debian/changelog ===
golang-github-dghubble-sling (1.2.0-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 1.2.0
  * Apply "cme fix dpkg" fixes to debian/control, setting Priority
    to optional, bumping Standards-Version to 4.2.1, etc.
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Use debhelper (>= 11~)

 -- Anthony Fok <foka@debian.org>  Sat, 22 Dec 2018 19:54:32 -0700

=== debian/control ===
Source: golang-github-dghubble-sling
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any,
               golang-github-google-go-querystring-dev,
               golang-golang-x-oauth2-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-dghubble-sling
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-dghubble-sling.git
Homepage: https://github.com/dghubble/sling
XS-Go-Import-Path: github.com/dghubble/sling

Package: golang-github-dghubble-sling-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-google-go-querystring-dev,
         golang-golang-x-oauth2-dev
Description: HTTP client library for creating and sending API requests
 Sling is a Go HTTP client library for creating and sending API requests.

## golang-github-dghubble-sling 1.3.0

=== debian/changelog ===
golang-github-dghubble-sling (1.3.0-1) unstable; urgency=medium

  [ Anthony Fok ]
  * Use filenamemangle in debian/watch

  [ Dmitry Smirnov ]
  * New upstream release
  * Standards-Version: 4.4.1
  * DH to version 12

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Dec 2019 21:56:44 +1100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-google-go-querystring-dev,
                golang-golang-x-oauth2-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-dghubble-sling
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-dghubble-sling.git
 Homepage: https://github.com/dghubble/sling

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-dghubble-sling-$1.tar.gz%" \
    https://github.com/dghubble/sling/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
